#!/bin/zsh

# Process: Run W0-corrected samples through the Matthews transcript summarisation using a modified nanopore output file that allows all reads to be analysed. 

# cd ~/ [appropriate directory]
# permissions with chmod u+x ./_Paper_analysis/vs_self_output/Matthews_pA_allPass.sh
# run with ./_Paper_analysis/vs_self_output/Matthews_pA_allPass.sh


# Runs from the outputs of classify_transcripts_and_polya_segmented_V2.pl generated in script part 2. Amend prefix for correct folder. Have changed fa file to MR11 (and prefix) for forst example into script1 and 2 folders, and second command uses nanopolish from pre-W0 appended file. 

mkdir ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass
perl ./Matthews_script/classify_transcripts_and_polya_segmented_V2.pl ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/1_AllvsSelf_W0_AllReads_allPA 25 1 -1 _Paper_analysis/vs_self_output/Matthews_script/Nanopolish/AllvsSelf_W0_polya_allpass.tsv ./_Paper_analysis/vs_self_output/W0_SAM/W0_all_reads/AllvsSelf_W0_sort.sam EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa 1 80

# - guidance: classify_transcripts_and_polya_segmented_V2.pl prefix polya/TSS_window splice_window polya_min nanopolish_polya.txt input.sam genome.fasta splice_tolerance(1) 100
#renaming to get rid of the dot in the name - probably not an issue
mv -f ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/1_AllvsSelf_W0_AllReads_allPA.start_sad_stop_pattern_count.txt ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/1_AllvsSelf_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

# Run the Matthews script 2. NB: does not tolerate folder prefix
# - guidance: And now second script: name_transcripts_and_track_ssc_V2.pl prefix ssc_nt features_table.txt genome.fasta start_sad_stop_pattern_count.txt
perl ./Matthews_script/name_transcripts_and_track_ssc_V2.pl 2_AllvsSelf_W0_AllReads_allPA 10 EBV_annotations/HB9_166754_2023/Features_table_pHB9_oriPMlu.txt EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/1_AllvsSelf_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

mv 2_AllvsSelf_W0_AllReads_allPA_ssc.proteins_not_known.fasta ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc.proteins_not_known.fasta
mv 2_AllvsSelf_W0_AllReads_allPA_ssc.proteins_known.fasta ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc.proteins_known.fasta
# rm ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc
cp -r 2_AllvsSelf_W0_AllReads_allPA_ssc  ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/
rm -rf 2_AllvsSelf_W0_AllReads_allPA_ssc
mv 2_AllvsSelf_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt  ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt
mv 2_AllvsSelf_W0_AllReads_allPA_ssc.count_of_translated_features.txt  ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc.count_of_translated_features.txt
mv 2_AllvsSelf_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff
mv 2_AllvsSelf_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt
mv 2_AllvsSelf_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt ./_Paper_analysis/vs_self_output/Matthews_script/Script_out__pA_allPass/2_AllvsSelf_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt


#START single_samples/M11-AJ2

# Run the Matthews script 1. Amend prefix for correct folder. Have changed fa file to MR11 (and prefix) for forst example into script1 and 2 folders, and second command uses nanopolish from pre-W0 appended file. 
# - guidance:classify_transcripts_and_polya_segmented_V2.pl prefix polya/TSS_window splice_window polya_min nanopolish_polya.txt input.sam genome.fasta splice_tolerance(1) 100
mkdir ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass
perl ./Matthews_script/classify_transcripts_and_polya_segmented_V2.pl ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/1_M11-AJ2-self_W0_AllReads_allPA 25 1 -1 _Paper_analysis/vs_self_output/Matthews_script/Nanopolish/AllvsSelf_W0_polya_allpass.tsv ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/W0_all_reads/M11-AJ2vsSelf_W0_sort.sam EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa 1 80

#renaming to get rid of the dot in the name
mv -f ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/1_M11-AJ2-self_W0_AllReads_allPA.start_sad_stop_pattern_count.txt ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/1_M11-AJ2-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

# Run the Matthews script 2. prefix for does not tolerate folder prefix
# - guidance: And now second script: name_transcripts_and_track_ssc_V2.pl prefix ssc_nt features_table.txt genome.fasta start_sad_stop_pattern_count.txt
perl ./Matthews_script/name_transcripts_and_track_ssc_V2.pl 2_M11-AJ2-self_W0_AllReads_allPA 10 EBV_annotations/HB9_166754_2023/Features_table_pHB9_oriPMlu.txt EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/1_M11-AJ2-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

mv 2_M11-AJ2-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta
mv 2_M11-AJ2-self_W0_AllReads_allPA_ssc.proteins_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc.proteins_known.fasta
# rm ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc
cp -r 2_M11-AJ2-self_W0_AllReads_allPA_ssc  ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/
rm -rf 2_M11-AJ2-self_W0_AllReads_allPA_ssc
mv 2_M11-AJ2-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt  ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt
mv 2_M11-AJ2-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt  ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt
mv 2_M11-AJ2-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff
mv 2_M11-AJ2-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt
mv 2_M11-AJ2-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt ./_Paper_analysis/vs_self_output/Single_samples/M11-AJ2/Script_out__pA_allPass/2_M11-AJ2-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt

#START single_samples/M11-MJ2

# Run the Matthews script 1. Amend prefix for correct folder. Have changed fa file to MR11 (and prefix) for forst example into script1 and 2 folders, and second command uses nanopolish from pre-W0 appended file. 
# - guidance:classify_transcripts_and_polya_segmented_V2.pl prefix polya/TSS_window splice_window polya_min nanopolish_polya.txt input.sam genome.fasta splice_tolerance(1) 100
mkdir ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass
perl ./Matthews_script/classify_transcripts_and_polya_segmented_V2.pl ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/1_M11-MJ2-self_W0_AllReads_allPA 25 1 -1 _Paper_analysis/vs_self_output/Matthews_script/Nanopolish/AllvsSelf_W0_polya_allpass.tsv ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/W0_all_reads/M11-MJ2vsSelf_W0_sort.sam EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa 1 80

#renaming to get rid of the dot in the name
mv -f ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/1_M11-MJ2-self_W0_AllReads_allPA.start_sad_stop_pattern_count.txt ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/1_M11-MJ2-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

# Run the Matthews script 2. prefix for does not tolerate folder prefix
# - guidance: And now second script: name_transcripts_and_track_ssc_V2.pl prefix ssc_nt features_table.txt genome.fasta start_sad_stop_pattern_count.txt
perl ./Matthews_script/name_transcripts_and_track_ssc_V2.pl 2_M11-MJ2-self_W0_AllReads_allPA 10 EBV_annotations/HB9_166754_2023/Features_table_pHB9_oriPMlu.txt EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/1_M11-MJ2-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

mv 2_M11-MJ2-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta
mv 2_M11-MJ2-self_W0_AllReads_allPA_ssc.proteins_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc.proteins_known.fasta
# rm ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc
cp -r 2_M11-MJ2-self_W0_AllReads_allPA_ssc  ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/
rm -rf 2_M11-MJ2-self_W0_AllReads_allPA_ssc
mv 2_M11-MJ2-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt  ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt
mv 2_M11-MJ2-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt  ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt
mv 2_M11-MJ2-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff
mv 2_M11-MJ2-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt
mv 2_M11-MJ2-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt ./_Paper_analysis/vs_self_output/Single_samples/M11-MJ2/Script_out__pA_allPass/2_M11-MJ2-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt

#START single_samples/WTw

# Run the Matthews script 1. Amend prefix for correct folder. Have changed fa file to MR11 (and prefix) for forst example into script1 and 2 folders, and second command uses nanopolish from pre-W0 appended file. 
# - guidance:classify_transcripts_and_polya_segmented_V2.pl prefix polya/TSS_window splice_window polya_min nanopolish_polya.txt input.sam genome.fasta splice_tolerance(1) 100
mkdir ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass
perl ./Matthews_script/classify_transcripts_and_polya_segmented_V2.pl ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/1_WTw-self_W0_AllReads_allPA 25 1 -1 _Paper_analysis/vs_self_output/Matthews_script/Nanopolish/AllvsSelf_W0_polya_allpass.tsv ./_Paper_analysis/vs_self_output/Single_samples/WTw/W0_all_reads/WTwvsSelf_W0_sort.sam EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa 1 80

#renaming to get rid of the dot in the name
mv -f ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/1_WTw-self_W0_AllReads_allPA.start_sad_stop_pattern_count.txt ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/1_WTw-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

# Run the Matthews script 2. prefix for does not tolerate folder prefix
# - guidance: And now second script: name_transcripts_and_track_ssc_V2.pl prefix ssc_nt features_table.txt genome.fasta start_sad_stop_pattern_count.txt
perl ./Matthews_script/name_transcripts_and_track_ssc_V2.pl 2_WTw-self_W0_AllReads_allPA 10 EBV_annotations/HB9_166754_2023/Features_table_pHB9_oriPMlu.txt EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/1_WTw-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

mv 2_WTw-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta
mv 2_WTw-self_W0_AllReads_allPA_ssc.proteins_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc.proteins_known.fasta
# rm ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc
cp -r 2_WTw-self_W0_AllReads_allPA_ssc  ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/
rm -rf 2_WTw-self_W0_AllReads_allPA_ssc
mv 2_WTw-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt  ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt
mv 2_WTw-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt  ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt
mv 2_WTw-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff
mv 2_WTw-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt
mv 2_WTw-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt ./_Paper_analysis/vs_self_output/Single_samples/WTw/Script_out__pA_allPass/2_WTw-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt

#START single_samples/HB9

# Run the Matthews script 1. Amend prefix for correct folder. Have changed fa file to MR11 (and prefix) for forst example into script1 and 2 folders, and second command uses nanopolish from pre-W0 appended file. 
# - guidance:classify_transcripts_and_polya_segmented_V2.pl prefix polya/TSS_window splice_window polya_min nanopolish_polya.txt input.sam genome.fasta splice_tolerance(1) 100
mkdir ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass
perl ./Matthews_script/classify_transcripts_and_polya_segmented_V2.pl ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/1_HB9-self_W0_AllReads_allPA 25 1 -1 _Paper_analysis/vs_self_output/Matthews_script/Nanopolish/AllvsSelf_W0_polya_allpass.tsv ./_Paper_analysis/vs_self_output/Single_samples/HB9/W0_all_reads/HB9vsSelf_W0_sort.sam EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa 1 80

#renaming to get rid of the dot in the name
mv -f ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/1_HB9-self_W0_AllReads_allPA.start_sad_stop_pattern_count.txt ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/1_HB9-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

# Run the Matthews script 2. prefix for does not tolerate folder prefix
# - guidance: And now second script: name_transcripts_and_track_ssc_V2.pl prefix ssc_nt features_table.txt genome.fasta start_sad_stop_pattern_count.txt
perl ./Matthews_script/name_transcripts_and_track_ssc_V2.pl 2_HB9-self_W0_AllReads_allPA 10 EBV_annotations/HB9_166754_2023/Features_table_pHB9_oriPMlu.txt EBV_annotations/HB9_166754_2023/MR11_oriPMlu_noATG.fa ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/1_HB9-self_W0_AllReads_allPA_start_sad_stop_pattern_count.txt

mv 2_HB9-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc.proteins_not_known.fasta
mv 2_HB9-self_W0_AllReads_allPA_ssc.proteins_known.fasta ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc.proteins_known.fasta
# rm ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc
cp -r 2_HB9-self_W0_AllReads_allPA_ssc  ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/
rm -rf 2_HB9-self_W0_AllReads_allPA_ssc
mv 2_HB9-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt  ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc.combined_counts_and_feature_names.txt
mv 2_HB9-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt  ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc.count_of_translated_features.txt
mv 2_HB9-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc.most_abundant_trans_per_orf.gff
mv 2_HB9-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc.splice_acceptor_donor_usage.txt
mv 2_HB9-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt ./_Paper_analysis/vs_self_output/Single_samples/HB9/Script_out__pA_allPass/2_HB9-self_W0_AllReads_allPA_ssc.TSS_start_sad_polyA_count_list.txt

